import Vue from 'vue'
import Router from 'vue-router'
import Index from '@/views/Index'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/page-in-src',
      name: 'Index',
      component: Index,
      children: [{
        path: '/page-in-src/tag-apply',
        name: 'OrderForTag',
        meta: {
          title: '申领订单',
          permission: 'isAuthenticated'
        },
        component: () => import('@/views/TagApply.vue')
      }, {
        path: '/page-in-src/tag-purchase',
        name: 'PurchaseForTag',
        meta: {
          title: '采购订单',
          permission: 'isAuthenticated'
        },
        component: () => import('@/views/TagPurchase.vue')
      }]
    }
  ]
})
